1.17.x Every time I try to load my plugin.

Discussion in 'Spigot Plugin Development' started by electcheese, Jun 12, 2021.

  1. Every time I try to load my plugin, my server says this-
    [Server thread/ERROR]: Fatal error trying to convert Fireball v1.0:me/electcheese/Fireball/Main.class
    org.bukkit.plugin.AuthorNagException: No legacy enum constant for FIRE_CHARGE. Did you forget to define a modern (1.13+) api-version in your plugin.yml? Just for the information, my plugin adds another fire charge recipe. My .yml file looks like this-
    main: me.electcheese.Fireball.Main
    name: Fireball
    version: 1.0
    author: electcheese
    api-versions: 1.13
    Just so you know, I use eclipse, and have Java 16
     
  2. Change it to api-version: